Ach Transactions

Create ACH Mobile Debit Transaction

post

Create an ACH debit transaction of $1 or more using a mobile transaction token to transfer funds from the customer's bank account to the merchant's bank account.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

achmobilejwtstringRequired

The transaction token used to authorize and process the ACH mobile transaction. The token returned from the successfulTransactionToken method of the Mobile framework.

Body
typestring · enumRequired

The transaction type.

Example: CREDITPossible values:
amountstringRequired

The transaction amount.

Example: 80.0
invoicestringOptional

The invoice number associated with the transaction.

Example: invoice123
descriptionstringOptional

A short description of the transaction.

Example: Transaction desc
commentsstringOptional

Additional remarks for the transaction.

Example: Paint the canoe red
software-typestringOptional

Name of the software type while submitting the transaction.

Example: MySoftware_Version1.3
software-type-versionstringOptional

Version of the software submitting the transaction.

Example: text
account-typestring · enumOptional

The type of bank account.

Example: CheckingPossible values:
routing-numberstringOptional

The bank routing number associated with the account.

Example: 063100277
account-numberstringOptional

The customer's bank account number.

Example: 1234567890
individual-namestringRequired

The name of the individual associated with the bank account.

Example: John Doe
validate-accountstring · enumOptional

Indicates whether to validate the bank account before processing.

Example: truePossible values:
standard-entry-class-codestringOptional

The ACH standard entry class (SEC) code for the transaction.

Example: text
idstringOptional

A unique identifier for the transaction.

Example: text
tip-amountstringOptional

The tip amount added to the transaction.

Example: 0.9
purchase-orderstringOptional

The purchase order number for the transaction.

Example: PO789
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstringOptional

The customer's email address.

Example: [email protected]
customer-idstringOptional

A merchant-defined identifier for the customer.

Example: Customer 1234
order-idstringOptional

A merchant-defined identifier for the order.

Example: 99988d
client-ipstringOptional

The IP address of the client initiating the transaction.

Example: 127.0.0.1
billing-is-shippingstringOptional

Indicates whether the billing and shipping addresses are the same.

Example: false
create-tokenstringOptional

Indicates whether to create a reusable transaction token.

Example: false
token-descriptionstringOptional

A description associated with the created token.

Example: false
check-fieldstringOptional

Field used for duplicate transaction validation.

Example: invoice
check-field-midbooleanOptional

Indicates whether to include the merchant ID in duplicate checking.

Example: true
Responses
chevron-right
200

Successful Transaction

application/json

This model represents the ach transaction in the response

typestring · enumRequired

Type of the ACH transaction.

Example: DebitPossible values:
amountstringOptional

The transaction amount.

Example: text
statusstring · enumOptional

Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.

Example: PendingPossible values:
routing-numberstringRequired

Bank routing number associated with the transaction.

Example: text
account-numberstringRequired

Last four digits of the bank account number.

Example: text
account-typestring · enumRequired

Type of bank account.

Example: CheckingPossible values:
standard-entry-class-codestring · enumRequired

ACH Standard Entry Class (SEC) code. For example, PPD.

Example: PPDPossible values:
check-numberstringOptional

Check number used for duplicate transaction validation.

Example: text
individual-namestringOptional

Name associated with the bank account.

Example: text
idstringOptional

Unique identifier of the ACH transaction.

Example: text
invoicestringOptional

Invoice number associated with the transaction.

Example: text
purchase-orderstringOptional

Purchase order number.

Example: text
customer-idstringOptional

A merchant-defined customer identifier.

Example: text
order-idstringOptional

A merchant-defined order identifier.

Example: text
email-addressstringOptional

The customer's email address.

Example: text
descriptionstringOptional

Short description of the transaction.

Example: text
commentsstringOptional

Additional comments associated with the transaction.

Example: text
billing-is-shippingstring · enumOptional

Indicates whether the billing and shipping addresses are the same.

Example: truePossible values:
status-change-datestringOptional

Date and time when the transaction status last changed (UTC).

Example: text
display-messagestringOptional

A message describing the transaction status.

Example: text
provider-transaction-idstringOptional

Transaction identifier assigned by the ACH provider.

Example: text
trace-numberstringOptional

ACH trace number associated with a settled or returned transaction.

Example: text
settled-datestringOptional

Date and time when the transaction was settled (UTC).

Example: text
returned-datestringOptional

Date and time when the transaction was returned (UTC).

Example: text
returned-codestringOptional

NACHA return code for a returned transaction.

Example: text
returned-messagestringOptional

The description of the return reason.

Example: text
merchant-idstringOptional

The merchant identifier associated with the token.

Example: text
terminal-idstringOptional

Identifier of the terminal or API key used to create the transaction.

Example: text
software-typestringOptional

Name of the software application that submitted the transaction.

Example: MySoftware_Version1.3
paya-authorizationstringOptional

Authorization reference returned by the Paya.

Example: text
processing-typestringOptional

Processing type of the transaction.

external-transaction-referencestringOptional

Identifies the transaction reference provided by the requester and must be unique per requester.

Example: external-transaction-reference
execution-datestringOptional

Date when the ACH transaction is executed.

Example: execution-date
token-idstringOptional

Identifier for the ACH payment token.

Example: 1188888888888888
create-datestringOptional

Date when the ACH transaction was created.

Example: create-date
micr-datastringOptional

Contains the MICR data printed on the check.

Example: T490000018T 24413815O 4456
image-front-edoc-idstringOptional

eDocs document ID for the front image of the check.

image-back-edoc-idstringOptional

eDocs document ID for the back image of the check.

image-frontstringOptional

Check's front image as Base64.

image-backstringOptional

Check's back image as Base64.

post
/rest/v2/ach/mobile/transactions/debit

Create ACH Mobile Credit Transaction

post

Create an ACH credit transaction of $1 or more using a mobile transaction token to transfer funds from the merchant's bank account to the customer's bank account.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

achmobilejwtstringRequired

The transaction token used to authorize and process the ACH mobile transaction. The token returned from the successfulTransactionToken method of the Mobile framework.

Body
typestring · enumRequired

The transaction type.

Example: CREDITPossible values:
amountstringRequired

The transaction amount.

Example: 80.0
invoicestringOptional

The invoice number associated with the transaction.

Example: invoice123
descriptionstringOptional

A short description of the transaction.

Example: Transaction desc
commentsstringOptional

Additional remarks for the transaction.

Example: Paint the canoe red
software-typestringOptional

Name of the software type while submitting the transaction.

Example: MySoftware_Version1.3
software-type-versionstringOptional

Version of the software submitting the transaction.

Example: text
account-typestring · enumOptional

The type of bank account.

Example: CheckingPossible values:
routing-numberstringOptional

The bank routing number associated with the account.

Example: 063100277
account-numberstringOptional

The customer's bank account number.

Example: 1234567890
individual-namestringRequired

The name of the individual associated with the bank account.

Example: John Doe
validate-accountstring · enumOptional

Indicates whether to validate the bank account before processing.

Example: truePossible values:
standard-entry-class-codestringOptional

The ACH standard entry class (SEC) code for the transaction.

Example: text
idstringOptional

A unique identifier for the transaction.

Example: text
tip-amountstringOptional

The tip amount added to the transaction.

Example: 0.9
purchase-orderstringOptional

The purchase order number for the transaction.

Example: PO789
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstringOptional

The customer's email address.

Example: [email protected]
customer-idstringOptional

A merchant-defined identifier for the customer.

Example: Customer 1234
order-idstringOptional

A merchant-defined identifier for the order.

Example: 99988d
client-ipstringOptional

The IP address of the client initiating the transaction.

Example: 127.0.0.1
billing-is-shippingstringOptional

Indicates whether the billing and shipping addresses are the same.

Example: false
create-tokenstringOptional

Indicates whether to create a reusable transaction token.

Example: false
token-descriptionstringOptional

A description associated with the created token.

Example: false
check-fieldstringOptional

Field used for duplicate transaction validation.

Example: invoice
check-field-midbooleanOptional

Indicates whether to include the merchant ID in duplicate checking.

Example: true
Responses
chevron-right
200

Successful Transaction

application/json

This model represents the ach transaction in the response

typestring · enumRequired

Type of the ACH transaction.

Example: DebitPossible values:
amountstringOptional

The transaction amount.

Example: text
statusstring · enumOptional

Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.

Example: PendingPossible values:
routing-numberstringRequired

Bank routing number associated with the transaction.

Example: text
account-numberstringRequired

Last four digits of the bank account number.

Example: text
account-typestring · enumRequired

Type of bank account.

Example: CheckingPossible values:
standard-entry-class-codestring · enumRequired

ACH Standard Entry Class (SEC) code. For example, PPD.

Example: PPDPossible values:
check-numberstringOptional

Check number used for duplicate transaction validation.

Example: text
individual-namestringOptional

Name associated with the bank account.

Example: text
idstringOptional

Unique identifier of the ACH transaction.

Example: text
invoicestringOptional

Invoice number associated with the transaction.

Example: text
purchase-orderstringOptional

Purchase order number.

Example: text
customer-idstringOptional

A merchant-defined customer identifier.

Example: text
order-idstringOptional

A merchant-defined order identifier.

Example: text
email-addressstringOptional

The customer's email address.

Example: text
descriptionstringOptional

Short description of the transaction.

Example: text
commentsstringOptional

Additional comments associated with the transaction.

Example: text
billing-is-shippingstring · enumOptional

Indicates whether the billing and shipping addresses are the same.

Example: truePossible values:
status-change-datestringOptional

Date and time when the transaction status last changed (UTC).

Example: text
display-messagestringOptional

A message describing the transaction status.

Example: text
provider-transaction-idstringOptional

Transaction identifier assigned by the ACH provider.

Example: text
trace-numberstringOptional

ACH trace number associated with a settled or returned transaction.

Example: text
settled-datestringOptional

Date and time when the transaction was settled (UTC).

Example: text
returned-datestringOptional

Date and time when the transaction was returned (UTC).

Example: text
returned-codestringOptional

NACHA return code for a returned transaction.

Example: text
returned-messagestringOptional

The description of the return reason.

Example: text
merchant-idstringOptional

The merchant identifier associated with the token.

Example: text
terminal-idstringOptional

Identifier of the terminal or API key used to create the transaction.

Example: text
software-typestringOptional

Name of the software application that submitted the transaction.

Example: MySoftware_Version1.3
paya-authorizationstringOptional

Authorization reference returned by the Paya.

Example: text
processing-typestringOptional

Processing type of the transaction.

external-transaction-referencestringOptional

Identifies the transaction reference provided by the requester and must be unique per requester.

Example: external-transaction-reference
execution-datestringOptional

Date when the ACH transaction is executed.

Example: execution-date
token-idstringOptional

Identifier for the ACH payment token.

Example: 1188888888888888
create-datestringOptional

Date when the ACH transaction was created.

Example: create-date
micr-datastringOptional

Contains the MICR data printed on the check.

Example: T490000018T 24413815O 4456
image-front-edoc-idstringOptional

eDocs document ID for the front image of the check.

image-back-edoc-idstringOptional

eDocs document ID for the back image of the check.

image-frontstringOptional

Check's front image as Base64.

image-backstringOptional

Check's back image as Base64.

post
/rest/v2/ach/mobile/transactions/credit

Last updated

Was this helpful?